Package twisted :: Package flow :: Module pipe :: Class Pipe |
[frames | no frames]

## Class Pipe

    Instruction --+
                  |
              Stage --+
                      |
                     Pipe

Known Subclasses:
  `Filter`, `LineBreak`

abstract stage which takes a single input stage

Method Summary
| `__init__(self, source, *trap)`
| ``_yield`(self)` executed during a yield statement by previous stage
| ``process`(self, results)` process implemented by the pipe
Inherited from Stage
| ``__iter__`(self)`
| ``next`(self)` return current result

Method Details

### _yield(self) executed during a yield statement by previous stage This method is private within the scope of the flow module, it is used by one stage in the flow to ask a subsequent stage to produce its value. The result of the yield is then stored in self.result and is an instance of Failure if a problem occurred. Overrides: `twisted.flow.base.Stage._yield` (inherited documentation)

### process(self, results) process implemented by the pipe Take a set of possibly empty results and sets the member variables: results, stop, or failure appropriately

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net